summaryrefslogtreecommitdiffstats
path: root/corefonts
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-03 16:37:23 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-03 16:37:23 +0000
commit003a2b61227a20fbba0a835c6d38c386fbc2f6a4 (patch)
tree71940cccba8bc130f9c3e1b6105107351c6c4cf5 /corefonts
parent3907104b83617e9e9514d74fe4d6bbc16aad0353 (diff)
downloadasb-003a2b61227a20fbba0a835c6d38c386fbc2f6a4.tar.gz
asb-003a2b61227a20fbba0a835c6d38c386fbc2f6a4.tar.xz
Remove the tahoma font (not a core font, needs separate license.
Diffstat (limited to 'corefonts')
-rwxr-xr-xcorefonts/build/corefonts.SlackBuild39
1 files changed, 2 insertions, 37 deletions
diff --git a/corefonts/build/corefonts.SlackBuild b/corefonts/build/corefonts.SlackBuild
index 9cb1c1b6..fee123f1 100755
--- a/corefonts/build/corefonts.SlackBuild
+++ b/corefonts/build/corefonts.SlackBuild
@@ -30,7 +30,7 @@
# URL: http://sourceforge.net/projects/corefonts/
# Needs: (build time only:) cabextract
# Changelog:
-# 1.0-1: 02/Nov/2007 by Eric Hameleers <alien@slackware.com>
+# 1.0-1: 03/Nov/2007 by Eric Hameleers <alien@slackware.com>
# * Initial build.
#
# Run 'sh corefonts.SlackBuild --cleanup' to build a Slackware package.
@@ -49,11 +49,6 @@ BUILD=${BUILD:-1}
# By using these fonts you agree to the following End User License Agreement:
DOCS="$SRCDIR/EULA.txt $SRCDIR/README.1st"
-# Set this define to "YES" if you have a windows license. This will install
-# the Tahoma font also (that is distributed under the Internet Explorer license
-# which requires a valid windows license)
-WINDOWS_LICENSE="YES"
-
# Where do we look for sources?
CWD=$(pwd)
SRCDIR=$(dirname $0)
@@ -68,8 +63,6 @@ OUTPUT=${OUTPUT:-/tmp}
COREFONTS="andale32.exe webdin32.exe trebuc32.exe georgi32.exe verdan32.exe \
comic32.exe arialb32.exe impact32.exe arial32.exe times32.exe courie32.exe"
COREURL="http://dl.sourceforge.net/sourceforge/${PRGNAM}/"
-TAHOMA="SRCDIR/IELPKTH.CAB"
-TAHOMAURL="http://download.microsoft.com/download/ie6sp1/finrel/6_sp1/W98NT42KMeXP/EN-US/IELPKTH.CAB"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -111,34 +104,6 @@ for SOURCE in $COREFONTS ; do
fi
done
-# Tahoma font download:
-if [ "$WINDOWS_LICENSE" == "YES" ]; then
- cat <<-EOT
- You indicated that you have a valid Windows license, by setting
- the variable "WINDOWS_LICENSE" to "YES".
- Because of this, the resulting package will also contain Microsoft's
- 'tahoma' TrueType font.
- EOT
- if ! [ -f ${SRCDIR}/${TAHOMA} ]; then
- if ! [ "x${TAHOMAURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] && TAHOMA=$SRCDIR/${TAHOMA} || TAHOMA=$OUTPUT/${TAHOMA}
- echo "Source '$(basename ${TAHOMA})' not available yet..."
- echo "Will download file to $(dirname $TAHOMA)"
- wget -nv --connect-timeout=30 -O "${TAHOMA}" "${TAHOMAURL}" || true
- if [ $? -ne 0 -o ! -s "${TAHOMA}" ]; then
- echo "Downloading '$(basename ${TAHOMA})' failed.. aborting the build."
- mv -f "${TAHOMA}" "${TAHOMA}".FAIL
- exit 1
- fi
- else
- echo "File '$(basename ${SOURCE})' not available.. aborting the build."
- exit 1
- fi
- fi
-fi
-
-
if [ "$P1" == "--download" ]; then
echo "Download complete."
exit 0
@@ -176,7 +141,7 @@ cd $TMP/tmp-$PRGNAM
mkdir -p cab-contents
[ -w $SRCDIR ] && DLDIR=$SRCDIR || DLDIR=$OUTPUT
-for i in ${DLDIR}/*.exe ${DLDIR}/*.CAB ; do
+for i in ${DLDIR}/*.exe ; do
cabextract --lowercase --directory=cab-contents $i
done